<template>
  <div id="graph"></div>
</template>

<script setup lang="ts">
import { DataSet } from "vis-data/peer";
import { Network } from "vis-network/peer";
import { onMounted } from "vue";

const props = defineProps({ nodes: Array, edges: Array });

onMounted(() => {
  const nodes = new DataSet(props.nodes);
  const edges = new DataSet(props.edges);

  const container = document.getElementById("graph");
  const network = new Network(
    container,
    { nodes, edges },
    { edges: { arrows: { to: true }, length: 200 } }
  );
});
</script>
